# SPDX-FileCopyrightText: 2023 Maxwell G <maxwell@gtmx.me>
# SPDX-License-Identifier: MIT
# License text: https://spdx.org/licenses/MIT

Name:           python-mappie
Version:        0.1.0^5.20231024.303a581
Release:        1%{?dist}
Summary:        Python library with collections, frozen mappings, and more

License:        MIT
URL:            https://sr.ht/~gotmax23/mappie
%global furl    https://git.sr.ht/~gotmax23/mappie
Source0:        python-mappie-0.1.0^5.20231024.303a581.tar.gz

BuildArch:      noarch

BuildRequires:  gnupg2
BuildRequires:  python3-devel

%global _description %{expand:
mappie is a python library with collections, frozen mappings, and more.}

%description %_description

%package -n python3-mappie
Summary:        %{summary}

%description -n python3-mappie %_description


%prep
%autosetup -p1


%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files mappie


%check
%pytest


%files -n python3-mappie -f %{pyproject_files}
%doc README.md
%license LICENSES/*


%changelog
* Tue Oct 24 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0^5.20231024.303a581-1
- ruff.toml: sort and reformat file

* Wed Jun 21 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0^4.20230621.873b6b5-1
- pyproject.toml: add .[codeqa] to dev meta extra

* Wed Jun 21 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0^3.20230621.ea8c0da-1
- pyproject.toml: add Homepage to [project.urls]

* Sun Jun 18 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0^2.20230618.688e4e6-1
- noxfile: fix missing f-string prefix in noxfile

* Sun Jun 18 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0^1.20230618.2193013-1
- Post release version bump

* Sun Jun 18 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0-1
- Release 0.1.0.

* Thu Jun 15 2023 Maxwell G <maxwell@gtmx.me> - 0.0.2-1
- Release 0.0.2.

* Tue Jun 13 2023 Maxwell G <maxwell@gtmx.me> - 0.0.1-1
- Release 0.0.1.
